#
# Conditional build:
%bcond_without  python2         # Python 2.x module
%bcond_without  python3         # Python 3.x module
#
%define		module		simplejson
Summary:	Simple, fast, extensible JSON encoder/decoder for Python
Summary(pl.UTF-8):	Prosty, szybki, rozszerzalny (de)koder JSON dla Pythona
Name:		python-%{module}
Version:	3.8.0
Release:	1
License:	MIT or AFL v2.1
Group:		Libraries
#Source0Download: https://pypi.python.org/pypi/simplejson
Source0:	https://pypi.python.org/packages/source/s/simplejson/%{module}-%{version}.tar.gz
# Source0-md5:	72f3b93a6f9808df81535f79e79565a2
URL:		http://simplejson.readthedocs.org/
%if %{with python2}
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools >= 0.6-0.c1
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.3
BuildRequires:	python3-devel >= 1:3.3
%endif
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org/> encoder and decoder for Python 2.5+.

%description -l pl.UTF-8
simplejson to prosty, szybki, pełny, poprawny i rozszerzalny koder i
dekoder JSON (<http://json.org/>) dla Pythona 2.5 i nowszych wersji.

%package -n python3-%{module}
Summary:	Simple, fast, extensible JSON encoder/decoder for Python 3
Summary(pl.UTF-8):	Prosty, szybki, rozszerzalny (de)koder JSON dla Pythona 3
Group:		Libraries

%description -n python3-%{module}
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org/> encoder and decoder for Python 3.

%description -n python3-%{module} -l pl.UTF-8
simplejson to prosty, szybki, pełny, poprawny i rozszerzalny koder i
dekoder JSON (<http://json.org/>) dla Pythona 3.

%prep
%setup -qn %{module}-%{version}

%build
%if %{with python2}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build --build-base py2
%endif

%if %{with python3}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python3} setup.py build --build-base py3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build --build-base py2 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{py_sitedir}/simplejson/tests
%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base py3 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{py3_sitedir}/simplejson/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE.txt README.rst
%dir %{py_sitedir}/simplejson
%{py_sitedir}/simplejson/*.py[co]
%attr(755,root,root) %{py_sitedir}/simplejson/_speedups.so
%{py_sitedir}/simplejson-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%dir %{py3_sitedir}/simplejson
%{py3_sitedir}/simplejson/__pycache__
%{py3_sitedir}/simplejson/*.py
%attr(755,root,root) %{py3_sitedir}/simplejson/_speedups.cpython-*.so
%{py3_sitedir}/simplejson-%{version}-py*.egg-info
%endif
%changelog
* Tue Oct 13 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-simplejson.git;a=log;h=master

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 1e95f9d
- updated to 3.8.0

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a61df5
- release 2 (by relup.sh)

* Sun May 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 5be726d
- updated to 3.6.5

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> df6eed3
- x32 rebuild
- release 2 (by relup.sh)

* Sun May 04 2014 Marcin Banasiak <marcin.banasiak@gmail.com> fd1cb29
- Update to 3.4.1

* Wed Feb 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 0569c67
- updated to 3.0.8 (for python 2.5+)
- pass optflags

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 1e3eeb8
- Up to 2.5.2

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 65ca96b
- up to 2.3.2

* Fri Dec 02 2011 zbyniu <zbyniu@pld-linux.org> bdfb483
- up to 2.2.1

* Thu Jun 02 2011 Caleb Maclennan <caleb@alerque.com> 0850b1b
- Up to 2.1.6

* Sat May 07 2011 Caleb Maclennan <caleb@alerque.com> 02cc7d6
- Up to 2.1.5

* Wed Jan 19 2011 Caleb Maclennan <caleb@alerque.com> 228c180
- Up to 2.1.3

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> bfba2a9
- release 2

* Wed Nov 10 2010 Karol Krenski <charles@pld-linux.org> c490e1f
- BR: python-devel

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 32daac3
- Up to 2.1.2

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f64503
- release 2

* Sun Jun 13 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e69ebc
- up to 2.1.1

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 72c22c1
- up to 2.0.9

* Fri Mar 13 2009 Mateusz Korniak <matkor@pld-linux.org> 167dac3
- Version 2.0.3-1. reqs down to 2.4. Th has py2.6 where that module is std.

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 78b4468
- release 3

